Bank account details allow users to receive money into their Wise Multi-Currency Account. Each currency balance can have local bank details (for domestic payments) and international bank details (for SWIFT payments) where available.
Bank account details can be retrieved for existing balances, or new details can be ordered for currencies where they're available but not yet issued.
Creates and assigns a pair of local account details and international account details (where available) that are linked to the target balance specified in the request.
Please reach out to our Support Team for access to this endpoint.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
- Production Environmenthttps://api.wise.com/2026Q4/profiles/{profileId}/bank-details
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/profiles/{profileId}/bank-details
curl -i -X POST \
https://api.wise.com/2026Q4/profiles/12345678/bank-details \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"targetAccountId": 123456
}'Bank account details created.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
{ "id": "2", "currency": "GBP", "active": true, "localDetails": { "bankName": "Wise", "bankAddress": "TEA BUILDING, FLOOR 6, SHOREDITCH HIGH STREET", "sortCode": "231370", "accountNumber": "00000001", "type": "UK_ACCOUNT" }, "internationalDetails": { "bankName": "Wise", "bankAddress": "TEA BUILDING, FLOOR 6, SHOREDITCH HIGH STREET", "swiftCode": "TRWIGB22XXX", "iban": "GB123450000000001", "type": "IBAN" } }